XAMPP上的PHP 5.4和MsSQL

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (189)

我正在尝试mssql为PHP 运行驱动程序,但出了点问题。 我设法为mssql获取正确的驱动程序,然后在php.ini中添加了扩展,但PHP仍在运行"--without-mssql" "--without-pdo-mssql"。我在Windows XP SP3上的Apache 2.2下运行PHP 5.4。 如何启动mssql驱动程序?

提问于
用户回答回答于
用户回答回答于

我刚遇到同样的问题,对我来说,我需要使用不同版本的驱动程序。

我用的是:

延长= php_sqlsrv_53_ts.dll

这给了我PHP中的以下错误:

[2013年11月28日10:58:47 UTC] PHP警告:PHP启动:sqlsrv:无法初始化使用模块API编译的模块模块= 20090626使用模块API编译的PHP

解决方案:

延长= php_sqlsrv_54_ts.dll

从以下网址下载:http//www.microsoft.com/en-us/download/details.aspx?id = 2009

扫码关注云+社区

领取腾讯云代金券